package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity // @Audited
@Table(name = "MappingPasienPacs_M")
public class MappingPasienPacs extends BaseTransaction {

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksa pasienDaftar;

	@Column(name = "ObjectPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String pasienId;

	@Column(name = "studyInstanceUID", nullable = false)

	private String studyInstanceUid;

	@Column(name = "NoMr", nullable = false)

	private String noMr;

	public AntrianPasienDiPeriksa getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksa pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public String getStudyInstanceUID() {
		return studyInstanceUid;
	}

	public void setStudyInstanceUID(String studyInstanceUID) {
		this.studyInstanceUid = studyInstanceUID;
	}

	public String getNoMr() {
		return noMr;
	}

	public void setNoMr(String noMr) {
		this.noMr = noMr;
	}

 
}